=== debian/changelog ===
aladin (10.076+dfsg-1) unstable; urgency=low

  * New upstream version 10.076+dfsg
  * Reorganize patches a bit; adjust Don-t-call-home-for-logging.patch
  * Remove obsolete options from manpage and desktop entry
  * Update VCS fields to use salsa.d.o
  * Delete d/s/local-options
  * Push Standards-Version to 4.1.3. No changes needed.

 -- Ole Streicher <olebole@debian.org>  Thu, 08 Feb 2018 15:37:53 +0100

aladin (10.056+dfsg-2) unstable; urgency=low

  * Use package provided moc, savot, and units
  * Add CDS as the creator of the software to the description
  * Update and extend manpage

 -- Ole Streicher <olebole@debian.org>  Wed, 27 Dec 2017 14:56:02 +0100

aladin (10.056+dfsg-1) unstable; urgency=low

  * New upstream version 10.056+dfsg. Rediff patches
  * Official upstream version: switch to unstable
  * Push Standards-Version to 4.1.2. Change URLs to https

 -- Ole Streicher <olebole@debian.org>  Thu, 07 Dec 2017 14:38:12 +0100

aladin (10.033+dfsg-1) experimental; urgency=low

  * Initial release. (Closes: #818373)

 -- Paul Sladen <debian@paul.sladen.org>  Mon, 23 Oct 2017 22:07:47 +0200
