=== debian/control ===
Source: aladin
Section: java
Priority: optional
Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Paul Sladen <debian@paul.sladen.org>,
           Ole Streicher <olebole@debian.org>
Build-Depends: ant, debhelper (>= 9), dh-exec, javahelper (>= 0.40)
Build-Depends-Indep: adql-java,
                     default-jdk,
                     default-jdk-doc,
                     libcommons-codec-java,
                     libcommons-httpclient-java,
                     libhealpix-java,
                     libjsamp-java,
                     libkxml2-java
Standards-Version: 4.1.3
Homepage: https://aladin.u-strasbg.fr/
Vcs-Git: https://salsa.debian.org/debian-astro-team/aladin.git
Vcs-Browser: https://salsa.debian.org/debian-astro-team/aladin

Package: aladin
Section: science
Architecture: all
Depends: default-jre, ${java:Depends}, ${misc:Depends}
Description: Interactive sky atlas for astronomical images and datasets
 Aladin is an interactive software sky atlas allowing the user to
 visualise digitised astronomical images, to superimpose entries from
 astronomical catalogues or databases, and to interactively access
 related data and information from the Simbad database, the VizieR
 service and other archives for all known sources in the field.
 .
 Created in 1999 by the Centre de Données astronomiques de Strasbourg
 (CDS), Aladin has become a widely-used tool of the Virtual
 Observatory (VO) framework capable of addressing challenges such as
 locating data of interest, accessing and exploring distributed
 datasets, and visualising multi-wavelength data. Compliance with
 existing or emerging VO standards, interconnection with other
 visualisation or analysis tools, and the ability to easily compare
 heterogeneous data are the key topics which allow Aladin to be a
 powerful data exploration and integration tool.
