=== debian/rules ===
#!/usr/bin/make -f

export JAVA_HOME=/usr/lib/jvm/default-java
export CLASSPATH=/usr/share/java/healpix.jar:/usr/share/java/jsamp.jar:/usr/share/java/kxml2.jar:/usr/share/java/commons-codec.jar:/usr/share/java/commons-httpclient.jar:/usr/share/java/ws-commons-util.jar:/usr/share/java/adql.jar

%:
	dh $@ --with javahelper

override_dh_auto_build:
	ant main

get-orig-source:
	#fname=AladinBetaSrc.jar ; \
	fname=AladinSrc.jar ; \
	wget -Oaladin.zip http://aladin.unistra.fr/java/download/$$fname
	( mkdir AladinSrc ; \
	cd AladinSrc ; \
	unzip ../aladin.zip ;\
	rm -f *.jar ; \
	VERSION=`fgrep "String VERSION" cds/aladin/Aladin.java | sed 's/.*"v\(.*\)".*/\1/'` ; \
	tar cf ../aladin_$$VERSION+dfsg.orig.tar . ; \
	cd .. ; \
	rm -rf AladinSrc ; \
	mv -f aladin.zip AladinSrc-$$VERSION.zip ; \
	xz aladin_$$VERSION+dfsg.orig.tar )
