## aladin 11.024+dfsg2

=== debian/changelog ===
aladin (11.024+dfsg2-1) unstable; urgency=low

  * Use Debian's jsofa instead of builtin copy
  * Add "Rules-Requires-Root: no" to d/control

 -- Ole Streicher <olebole@debian.org>  Thu, 02 Jul 2020 09:11:34 +0200

aladin (11.024+dfsg-1) unstable; urgency=low

  * Remove (wrong) base healpix dir (should be cds/healpix) in get-orig-source
  * New upstream version 11.024+dfsg

 -- Ole Streicher <olebole@debian.org>  Fri, 29 May 2020 09:08:15 +0200

aladin (11.021+dfsg-1) unstable; urgency=low

  * New upstream version 11.021+dfsg. Rediff patches
  * Push Standards-Version to 4.5.0. No changes needed.
  * Push compat to 13. Replace d/compat by debhelper-compat virtual build dep
  * Remove unneeded build dep versions
  * Use system package for cds/healpix
  * Add copyright for org.jastronomy.jsofa

 -- Ole Streicher <olebole@debian.org>  Sun, 03 May 2020 17:56:56 +0200
