=== debian/control ===
--- 
+++ 
@@ -1,27 +1,34 @@
 Source: aladin
-Section: java
-Priority: optional
 Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Paul Sladen <debian@paul.sladen.org>,
            Ole Streicher <olebole@debian.org>
-Build-Depends: ant, debhelper (>= 9), dh-exec, javahelper (>= 0.40)
+Section: java
+Priority: optional
+Build-Depends: ant,
+               debhelper-compat (= 13),
+               dh-exec,
+               javahelper
 Build-Depends-Indep: adql-java,
                      default-jdk,
                      default-jdk-doc,
                      libcommons-codec-java,
                      libcommons-httpclient-java,
-                     libhealpix-java,
+                     libcds-healpix-java,
                      libjsamp-java,
+                     libjsofa-java,
                      libkxml2-java
-Standards-Version: 4.1.3
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/debian-astro-team/aladin
+Vcs-Git: https://salsa.debian.org/debian-astro-team/aladin.git
 Homepage: https://aladin.u-strasbg.fr/
-Vcs-Git: https://salsa.debian.org/debian-astro-team/aladin.git
-Vcs-Browser: https://salsa.debian.org/debian-astro-team/aladin
+Rules-Requires-Root: no
 
 Package: aladin
+Architecture: all
 Section: science
-Architecture: all
-Depends: default-jre, ${java:Depends}, ${misc:Depends}
+Depends: default-jre,
+         ${java:Depends},
+         ${misc:Depends}
 Description: Interactive sky atlas for astronomical images and datasets
  Aladin is an interactive software sky atlas allowing the user to
  visualise digitised astronomical images, to superimpose entries from
