## aladin 12.001+dfsg

=== debian/changelog ===
aladin (12.001+dfsg-1) unstable; urgency=medium

  * New upstream version 12.001+dfsg
  * Install old original build.xml
  * Push Standards-Version to 4.6.1. No changes needed

 -- Ole Streicher <olebole@debian.org>  Tue, 27 Sep 2022 19:21:09 +0200
