=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                      libjsamp-java,
                      libjsofa-java,
                      libkxml2-java
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/aladin
 Vcs-Git: https://salsa.debian.org/debian-astro-team/aladin.git
 Homepage: https://aladin.u-strasbg.fr/
