=== debian/changelog ===
aladin (12.060+dfsg-3) unstable; urgency=medium

  * Convert to adql-2 Java package (Closes: #1058415).

 -- Ole Streicher <olebole@debian.org>  Wed, 13 Dec 2023 09:49:01 +0100

aladin (12.060+dfsg-2) unstable; urgency=medium

  [ Vladimir Petko ]
  * d/p/fully-qualify-builder.patch: fully qualify cds.allsky.Builder class to
    avoid name collision with java.lang.thread.Builder (Closes: #1052586).

 -- Ole Streicher <olebole@debian.org>  Mon, 20 Nov 2023 10:02:58 +0100

aladin (12.060+dfsg-1) unstable; urgency=medium

  * New upstream version 12.060+dfsg
  * Push Standards-Version to 4.6.2. No changes needed.

 -- Ole Streicher <olebole@debian.org>  Mon, 26 Jun 2023 08:52:13 +0200
