=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,6 @@
 #!/usr/bin/make -f
 
 export JAVA_HOME=/usr/lib/jvm/default-java
-export CLASSPATH=/usr/share/java/healpix.jar:/usr/share/java/jsamp.jar:/usr/share/java/kxml2.jar:/usr/share/java/commons-codec.jar:/usr/share/java/commons-httpclient.jar:/usr/share/java/ws-commons-util.jar:/usr/share/java/adql.jar
 
 %:
 	dh $@ --with javahelper
@@ -17,6 +16,8 @@
 	cd AladinSrc ; \
 	unzip ../aladin.zip ;\
 	rm -f *.jar ; \
+	rm -rf cds/healpix healpix ; \
+	rm -rf org/jastronomy/jsofa ; \
 	VERSION=`fgrep "String VERSION" cds/aladin/Aladin.java | sed 's/.*"v\(.*\)".*/\1/'` ; \
 	tar cf ../aladin_$$VERSION+dfsg.orig.tar . ; \
 	cd .. ; \
